# Anular comprobantes electrónicos

## Anular documento

Este método debe ser utilizado para anular un documento (boleta, factura, nota) y enviarlo a los servidores de SUNAT para su procesamiento.

## POST /voided

> Void a document

```json
{"openapi":"3.0.2","info":{"title":"AURORA API","version":"1.0"},"tags":[{"name":"void"}],"servers":[{"url":"https://aurora.net.pe/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Voided":{"type":"object","properties":{"tipo_de_comprobante":{"type":"string","enum":["01","03","07","08"]},"serie":{"type":"string"},"numero":{"type":"number"},"motivo":{"type":"string"}},"required":["tipo_de_comprobante","serie","numero","motivo"]},"VoidedPostResponse":{"type":"object","properties":{"id":{"type":"string"},"numero":{"type":"number"},"sunat_ticket_numero":{"type":"string"},"aceptada_por_sunat":{"type":"boolean"},"sunat_descripcion":{"type":"string"},"sunat_nota":{"type":"string","nullable":true},"sunat_codigo_respuesta":{"type":"string"},"sunat_error_soap":{"type":"string","nullable":true},"enlace_xml":{"type":"string"},"enlace_cdr":{"type":"string"}}},"ForbiddenResponse":{"type":"object","properties":{"message":{"type":"string"}}},"NotFoundResponse":{"type":"object","properties":{"message":{"type":"string"}}},"UnprocessableResponse":{"type":"object","properties":{"id":{"type":"string"},"tipo_de_comprobante":{"type":"string"},"serie":{"type":"string"},"numero":{"type":"number"},"sunat_codigo_respuesta":{"type":"string"},"sunat_error_soap":{"type":"string"}}}}},"paths":{"/voided":{"post":{"summary":"Void a document","tags":["void"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Voided"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoidedPostResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableResponse"}}}}}}}}}
```

## Enviar anulación pendiente

Este método debe ser utilizado para enviar una anulación previamente generada que no recibió respuesta de los servidores de SUNAT. Esto puede ocurrir debido a problemas de conectividad o mantenimientos programados en los servicios de SUNAT.

## GET /voided/send

> Send pending void

```json
{"openapi":"3.0.2","info":{"title":"AURORA API","version":"1.0"},"tags":[{"name":"void"}],"servers":[{"url":"https://aurora.net.pe/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"VoidedPostResponse":{"type":"object","properties":{"id":{"type":"string"},"numero":{"type":"number"},"sunat_ticket_numero":{"type":"string"},"aceptada_por_sunat":{"type":"boolean"},"sunat_descripcion":{"type":"string"},"sunat_nota":{"type":"string","nullable":true},"sunat_codigo_respuesta":{"type":"string"},"sunat_error_soap":{"type":"string","nullable":true},"enlace_xml":{"type":"string"},"enlace_cdr":{"type":"string"}}},"ForbiddenResponse":{"type":"object","properties":{"message":{"type":"string"}}},"NotFoundResponse":{"type":"object","properties":{"message":{"type":"string"}}},"UnprocessableResponse":{"type":"object","properties":{"id":{"type":"string"},"tipo_de_comprobante":{"type":"string"},"serie":{"type":"string"},"numero":{"type":"number"},"sunat_codigo_respuesta":{"type":"string"},"sunat_error_soap":{"type":"string"}}}}},"paths":{"/voided/send":{"get":{"summary":"Send pending void","tags":["void"],"parameters":[{"name":"tipo_de_comprobante","in":"query","required":true,"schema":{"type":"string","enum":["01","03","07","08"]}},{"name":"serie","in":"query","required":true,"schema":{"type":"string"}},{"name":"numero","in":"query","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoidedPostResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableResponse"}}}}}}}}}
```

## Consultar anulación

Este método debe ser utilizado para consultar el estado de una anulación previamente generada y enviada a los servidores de SUNAT.&#x20;

## GET /voided

> Get void

```json
{"openapi":"3.0.2","info":{"title":"AURORA API","version":"1.0"},"tags":[{"name":"void"}],"servers":[{"url":"https://aurora.net.pe/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"VoidedGetResponse":{"type":"object","properties":{"id":{"type":"string"},"numero":{"type":"number"},"sunat_ticket_numero":{"type":"string"},"aceptada_por_sunat":{"type":"boolean"},"sunat_descripcion":{"type":"string"},"sunat_nota":{"type":"string","nullable":true},"sunat_codigo_respuesta":{"type":"string"},"sunat_error_soap":{"type":"string","nullable":true},"enlace_xml":{"type":"string"},"enlace_cdr":{"type":"string"}}},"ForbiddenResponse":{"type":"object","properties":{"message":{"type":"string"}}},"NotFoundResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/voided":{"get":{"summary":"Get void","tags":["void"],"parameters":[{"name":"tipo_de_comprobante","in":"query","required":true,"schema":{"type":"string","enum":["01","03","07","08"]}},{"name":"serie","in":"query","required":true,"schema":{"type":"string"}},{"name":"numero","in":"query","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoidedGetResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}}}}}}}
```

{% hint style="info" %}
Anulación debe tener un número de ticket asignado.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurora.net.pe/documentos/anular-comprobantes-electronicos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
